
Redmine - Patch #2466

[PATCH] Details time log report CSV export doesn't honour date format from settings

2009-01-08 08:20 - Anonymous

Status: Closed Start date: 2009-01-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 0.8.1   

Description

Our date format is set to UK (dd/mm/yyyy) in the site settings and the web pages correctly display this format.  However, when

exporting a project timelog details report, the date format in the CSV file is US (MM/DD/YYYY) so isn't using the settings format.

System Details:

Mac OS X Server 10.5.6

SQLite 3.4.0 (from MacPorts)

Ruby-1.8.6

Rails-2.1.2

SVN-1.5.4

Associated revisions

Revision 2302 - 2009-01-24 09:58 - Jean-Philippe Lang

Fixed: Details time log report CSV export doesn't honour date format from settings (patch #2466 by Russell Hind).

Revision 2306 - 2009-01-24 13:10 - Jean-Philippe Lang

Merged r2302 from trunk (#2466).

History

#1 - 2009-01-08 08:24 - Anonymous

- Subject changed from Details report CSV export doesn't honour date format from settings to Details time log report CSV export doesn't honour date

format from settings

#2 - 2009-01-08 08:27 - Anonymous

This was fixed for the issues list in r941 but looks like there are other places it needs addressing.

Cheers

Russell

#3 - 2009-01-08 08:41 - Anonymous

- File timelog_helper_patch.diff added

Added a patch against 0.8.0 which seems to fix this (based it on r941)

#4 - 2009-01-08 17:08 - Anonymous

- Subject changed from Details time log report CSV export doesn't honour date format from settings to [PATCH] Details time log report CSV export

doesn't honour date format from settings

#5 - 2009-01-24 09:17 - Anonymous

Please can someone change the tracker type to patch for this.

Thank you.

#6 - 2009-01-24 09:55 - Jean-Philippe Lang

- Tracker changed from Defect to Patch

#7 - 2009-01-24 09:56 - Jean-Philippe Lang
- Status changed from New to Resolved

- Target version set to 0.8.1

Applied in r2302. Thanks.

#8 - 2009-01-24 13:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

timelog_helper_patch.diff 828 Bytes 2009-01-08 Anonymous
